// Copyright (c) .NET Foundation. All rights reserved.
// Licensed under the Apache License, Version 2.0. See License.txt in the project root for license information.

using System;
using System.Data;
using System.Linq.Expressions;
using Microsoft.EntityFrameworkCore.Query.Expressions;

namespace Microsoft.EntityFrameworkCore.Query.ExpressionTranslators.Internal
{
    /// <summary>
    ///     This API supports the Entity Framework Core infrastructure and is not intended to be used
    ///     directly from your code. This API may change or be removed in future releases.
    /// </summary>
    public class SqlServerDateTimeDateComponentTranslator : IMemberTranslator
    {
        /// <summary>
        ///     This API supports the Entity Framework Core infrastructure and is not intended to be used
        ///     directly from your code. This API may change or be removed in future releases.
        /// </summary>
        public virtual Expression Translate(MemberExpression memberExpression)
            => (memberExpression.Expression != null)
            && (memberExpression.Expression.Type == typeof(DateTime))
            && (memberExpression.Member.Name == nameof(DateTime.Date))
            ? new SqlFunctionExpression("CONVERT", 
                memberExpression.Type, 
                new[]
                {
                   Expression.Constant(DbType.Date),
                   memberExpression.Expression
                })
            : null;
    }
}